> ## Documentation Index
> Fetch the complete documentation index at: https://docs.limitguard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recommendations

> Get cross-sell recommendations based on current usage.

AI agents calling one endpoint may benefit from complementary services.

Args:
    current_endpoint: The endpoint path currently being used
    trust_score: Optional trust score for context-aware recommendations



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sales/recommendations
openapi: 3.1.0
info:
  title: Limitguard.ai
  description: >-
    Lead validation API: the company behind each lead checked against the NL and
    BE business registers, EU VAT and sanctions lists, plus company, KYB and
    agent wallet checks for developers and AI agents
  version: 0.1.0
servers:
  - url: https://api.limitguard.ai
security: []
paths:
  /v1/sales/recommendations:
    get:
      tags:
        - Sales
      summary: Get Recommendations
      description: |-
        Get cross-sell recommendations based on current usage.

        AI agents calling one endpoint may benefit from complementary services.

        Args:
            current_endpoint: The endpoint path currently being used
            trust_score: Optional trust score for context-aware recommendations
      operationId: get_recommendations_v1_sales_recommendations_get
      parameters:
        - name: current_endpoint
          in: query
          required: true
          schema:
            type: string
            description: Endpoint the caller is currently using
            title: Current Endpoint
          description: Endpoint the caller is currently using
        - name: trust_score
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 100
                minimum: 0
              - type: 'null'
            title: Trust Score
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Get Recommendations V1 Sales Recommendations Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.